<TITLE>Die Seite zählt sich</TITLE>
<BODY bgcolor=white>
<h1>Die Seite zählt</h1>

<?
// Variablendeklaration Dateiname der Zählerdatei
// Achtung! Das Verzeichnis muß vom Webuser beschreibbar sein.
$FILENAME="count/counter.txt";

// Wenn die Zählerdatei nicht existiert legen wir sie an
// und schreiben eine Null hinein.

if (!file_exists($FILENAME)){
  $fp=fopen($FILENAME,"w");
  if($fp){
    fputs($fp,"0");
    fclose($fp);
  }
} 

// Die Zählerdatei wird geöffnet und wir lesen die Zahl

$fp=fopen($FILENAME,"r");
if($fp){
  $zahl=fgets($fp,20);
  fclose($fp);
}

// Die gelesene Zahl wird um eins erhöht
$zahl++;

// Jetzt öffnen wir die Zählerdatei erneut, überschreiben en alten Inhalt
// mit der um eins erhöhten Zahl
$fp=fopen($FILENAME,"w");
if($fp){
  fputs($fp,$zahl);
}

// Jetzt geben wir das Ergebnis aus:

echo "<h4>Sie sind Besucher Nummer $zahl</h4>\n";
?>
